# imgui-quilt

Quilt interface for [imgui-java](https://github.com/SpaiR/imgui-java), an updated version of [imgui-mc](https://github.com/mjwells2002/imgui-mc).

## Quick Usage
Add `Renderables` to `ImGuiQuilt.renderstack` for them to be rendered.

Use ImGui methods in `render()` of the `Renderables` interface.

Example:
```java
		ImGuiQuilt.renderstack.add(new Renderable() {
			@Override
			public String getName() {
				return "Profiling Name";
			}

			@Override
			public Theme getTheme() {
				return null;
			}

			@Override
			public void render() {
				ImGui.text("Example Text Element");
			}
		});
```
